# Uses of Class
org.globus.ftp.exception.UnexpectedReplyCodeException

Packages that use UnexpectedReplyCodeException
Package
Description
org.globus.ftp.exception
org.globus.ftp.vanilla

## Uses of UnexpectedReplyCodeException in org.globus.ftp.exception

Methods in org.globus.ftp.exception with parameters of type UnexpectedReplyCodeException
Modifier and Type
Method
Description
`static ServerException`
ServerException.`embedUnexpectedReplyCodeException(UnexpectedReplyCodeException urce)`
`static ServerException`
ServerException.`embedUnexpectedReplyCodeException(UnexpectedReplyCodeException urce, String message)`
Constructs server exception with UnexpectedReplyCodeException nested in it.

## Uses of UnexpectedReplyCodeException in org.globus.ftp.vanilla

Methods in org.globus.ftp.vanilla that throw UnexpectedReplyCodeException
Modifier and Type
Method
Description
`Reply`
FTPControlChannel.`execute(Command cmd)`
Write the command to the control channel, block until reply arrives and check if the command completed successfully (reply code 200).